# Class ReadAsDataURLPipe

#### Implements

- PipeTransform

- Defined in lib/upload-button/read-as-data-url.pipe.ts:15

#####
Index

### Constructors

constructor

### Methods

transform

## Constructors

### constructor

- new ReadAsDataURLPipe(): ReadAsDataURLPipe

- #### Returns ReadAsDataURLPipe

## Methods

### transform

- transform(file): Promise<null | string>

- #### Parameters

  - file: null | File | Blob

  #### Returns Promise<null | string>

  Implementation of PipeTransform.transform

  - Defined in lib/upload-button/read-as-data-url.pipe.ts:17